package _04_if_else_if_else操作;

import java.util.Scanner;

public class Test {
    public static void main(String[] args) {
        /**
         * 语法
         * if(关系表达式){
         *
         * }else if(关系表达式){
         *
         * }else if(关系表达式){
         *
         * }...
         * else{
         *
         * }
         *
         * 需求:
         * 在控制台当中录入此次考试成绩分数
         * 如果分数 大于=90 小于100 优秀
         * 如果分数 大于=80 小于90 良好
         * 如果分数 大于=70 小于80 中等
         * 如果分数 大于=60 小于70 及格
         * 如果小于60 不及格
         *
         */
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入分数");
        double score = scanner.nextDouble();
        // 判断成绩分数智能在0-100
        if(score >=0 && score<=100){
            if(score >= 90 && score <=100){
                System.out.println("成绩为: 优秀");
            }else if(score >= 80 && score < 90){
                System.out.println("成绩为: 良好");
            }else if(score >= 70 && score < 80){
                System.out.println("成绩为: 中等");
            }else if(score >= 60 && score < 70){
                System.out.println("成绩为: 及格");
            }else{
                System.out.println("不及格");
            }
        }else{
            System.out.println("录入的分布是合法必须在0-100之间");
        }


    }
}
